Bug 1136532 - tigervnc-xserver-1.14-rebased.patch fails to apply
Summary: tigervnc-xserver-1.14-rebased.patch fails to apply
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tigervnc
Version: 21
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-09-02 19:08 UTC by Mark Hamzy
Modified: 2014-09-23 02:41 UTC (History)
3 users (show)

Fixed In Version: tigervnc-1.3.1-11.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 02:41:33 UTC


Attachments (Terms of Use)

Description Mark Hamzy 2014-09-02 19:08:03 UTC
Mock Version: 1.1.41
Mock Version: 1.1.41
ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target armv7hl --nodeps builddir/build/SPECS/tigervnc.spec'], False, '/var/lib/mock/f21-build-2309591-411908/root/', None, 86400, True, False, 1000, 425, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog object at 0x1261830>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target armv7hl --nodeps builddir/build/SPECS/tigervnc.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
sh: xserver-sdk-abi-requires: command not found
sh: xserver-sdk-abi-requires: command not found
warning: Could not canonicalize hostname: arm02-builder15.arm.fedoraproject.org
Building target platforms: armv7hl
Building for target armv7hl
Wrote: /builddir/build/SRPMS/tigervnc-1.3.1-9.fc21.src.rpm
Child return code was: 0
LEAVE do --> 

ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl --nodeps  builddir/build/SPECS/tigervnc.spec'], False, '/var/lib/mock/f21-build-2309591-411908/root/', None, 86400, True, False, 1000, 425, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog object at 0x1261830>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl --nodeps  builddir/build/SPECS/tigervnc.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
Building target platforms: armv7hl
Building for target armv7hl
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.zd9dxV
+ umask 022
+ cd /builddir/build/BUILD
+ cd /builddir/build/BUILD
+ rm -rf tigervnc-1.3.1
+ /usr/bin/gzip -dc /builddir/build/SOURCES/tigervnc-1.3.1.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd tigervnc-1.3.1
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #1 (tigervnc-cookie.patch):'
Patch #1 (tigervnc-cookie.patch):
+ /usr/bin/cat /builddir/build/SOURCES/tigervnc-cookie.patch
+ /usr/bin/patch -p1 -b --suffix .cookie --fuzz=0
patching file unix/vncserver
Hunk #1 succeeded at 221 (offset 32 lines).
+ echo 'Patch #2 (tigervnc11-ldnow.patch):'
Patch #2 (tigervnc11-ldnow.patch):
+ /usr/bin/cat /builddir/build/SOURCES/tigervnc11-ldnow.patch
+ /usr/bin/patch -p1 -b --suffix .ldnow --fuzz=0
patching file unix/xserver/hw/vnc/Makefile.am
+ echo 'Patch #3 (tigervnc11-gethomedir.patch):'
Patch #3 (tigervnc11-gethomedir.patch):
+ /usr/bin/cat /builddir/build/SOURCES/tigervnc11-gethomedir.patch
+ /usr/bin/patch -p1 -b --suffix .gethomedir --fuzz=0
patching file unix/xserver/hw/vnc/Makefile.am
+ echo 'Patch #4 (tigervnc11-rh692048.patch):'
Patch #4 (tigervnc11-rh692048.patch):
+ /usr/bin/cat /builddir/build/SOURCES/tigervnc11-rh692048.patch
+ /usr/bin/patch -p1 -b --suffix .rh692048 --fuzz=0
patching file common/rfb/SecurityClient.cxx
patching file common/rfb/Security.cxx
Hunk #1 succeeded at 71 (offset 4 lines).
Hunk #2 succeeded at 108 (offset 4 lines).
patching file common/rfb/SecurityServer.cxx
+ cp -r /usr/share/xorg-x11-server-source/GL /usr/share/xorg-x11-server-source/Makefile.am /usr/share/xorg-x11-server-source/Xext /usr/share/xorg-x11-server-source/Xi /usr/share/xorg-x11-server-source/aclocal.m4 /usr/share/xorg-x11-server-source/composite /usr/share/xorg-x11-server-source/config /usr/share/xorg-x11-server-source/configure.ac /usr/share/xorg-x11-server-source/damageext /usr/share/xorg-x11-server-source/dbe /usr/share/xorg-x11-server-source/devbook.am /usr/share/xorg-x11-server-source/dix /usr/share/xorg-x11-server-source/doc /usr/share/xorg-x11-server-source/docbook.am /usr/share/xorg-x11-server-source/dri3 /usr/share/xorg-x11-server-source/exa /usr/share/xorg-x11-server-source/fb /usr/share/xorg-x11-server-source/glamor /usr/share/xorg-x11-server-source/glx /usr/share/xorg-x11-server-source/hw /usr/share/xorg-x11-server-source/include /usr/share/xorg-x11-server-source/m4 /usr/share/xorg-x11-server-source/man /usr/share/xorg-x11-server-source/manpages.am /usr/share/xorg-x11-server-source/mi /usr/share/xorg-x11-server-source/miext /usr/share/xorg-x11-server-source/os /usr/share/xorg-x11-server-source/present /usr/share/xorg-x11-server-source/pseudoramiX /usr/share/xorg-x11-server-source/randr /usr/share/xorg-x11-server-source/record /usr/share/xorg-x11-server-source/render /usr/share/xorg-x11-server-source/test /usr/share/xorg-x11-server-source/xfixes /usr/share/xorg-x11-server-source/xkb /usr/share/xorg-x11-server-source/xorg-server.m4 /usr/share/xorg-x11-server-source/xorg-server.pc.in /usr/share/xorg-x11-server-source/xserver.ent.in unix/xserver
+ pushd unix/xserver
~/build/BUILD/tigervnc-1.3.1/unix/xserver ~/build/BUILD/tigervnc-1.3.1
++ find . -type f -perm -001
+ echo 'Patch #100 (tigervnc-xserver-1.14-rebased.patch):'
Patch #100 (tigervnc-xserver-1.14-rebased.patch):
+ /usr/bin/cat /builddir/build/SOURCES/tigervnc-xserver-1.14-rebased.patch
+ /usr/bin/patch -p1 -b --suffix .vnc --fuzz=0
patching file configure.ac
Hunk #1 FAILED at 76.
Hunk #2 succeeded at 1795 (offset -2 lines).
Hunk #3 succeeded at 1834 (offset -2 lines).
Hunk #4 succeeded at 2057 (offset -2 lines).
Hunk #5 succeeded at 2594 (offset -2 lines).
1 out of 5 hunks FAILED -- saving rejects to file configure.ac.rej
patching file hw/Makefile.am
patching file mi/miinitext.c
patching file os/WaitFor.c
error: Bad exit status from /var/tmp/rpm-tmp.zd9dxV (%prep)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.zd9dxV (%prep)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl --nodeps  builddir/build/SPECS/tigervnc.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 378, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl --nodeps  builddir/build/SPECS/tigervnc.spec']
LEAVE do --> EXCEPTION RAISED

Comment 1 Fedora Update System 2014-09-03 11:43:09 UTC
tigervnc-1.3.1-10.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tigervnc-1.3.1-10.fc21

Comment 2 Fedora Update System 2014-09-06 00:57:42 UTC
Package tigervnc-1.3.1-10.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tigervnc-1.3.1-10.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10143/tigervnc-1.3.1-10.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-09-10 02:13:19 UTC
Package tigervnc-1.3.1-11.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tigervnc-1.3.1-11.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10143/tigervnc-1.3.1-11.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-09-23 02:41:33 UTC
tigervnc-1.3.1-11.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.